## GgitDiffLine GgitDiffLine |

## Functions

const guint8 * | ggit_diff_line_get_content ()
gint64 | ggit_diff_line_get_content_offset ()
gint | ggit_diff_line_get_new_lineno ()
gint | ggit_diff_line_get_old_lineno ()
GgitDiffLineType | ggit_diff_line_get_origin ()
GType | ggit_diff_line_get_type ()
GgitDiffLine * | ggit_diff_line_ref ()
void | ggit_diff_line_unref ()

## Types and Values

| GgitDiffLine

## Object Hierarchy

        GBoxed
        ╰── GgitDiffLine

## Description

## Functions

### ggit_diff_line_get_content ()

    const guint8 *
    ggit_diff_line_get_content (GgitDiffLine *line,
                                gsize *length);

Gets the content in bytes.

#### Parameters

line | a GgitDiffLine. |
length | the number of returned bytes. | [out]

#### Returns

the content in bytes.

[array length=length]

### ggit_diff_line_get_content_offset ()

    gint64
    ggit_diff_line_get_content_offset (GgitDiffLine *line);

Gets the content offset.

#### Parameters

line | a GgitDiffLine. |

#### Returns

the content offset.

### ggit_diff_line_get_new_lineno ()

    gint
    ggit_diff_line_get_new_lineno (GgitDiffLine *line);

Gets the Line number in new file or -1 for deleted line.

#### Parameters

line | a GgitDiffLine. |

#### Returns

the line's old number of lines.

### ggit_diff_line_get_old_lineno ()

    gint
    ggit_diff_line_get_old_lineno (GgitDiffLine *line);

Gets the line number in old file or -1 for added line.

#### Parameters

line | a GgitDiffLine. |

#### Returns

the line's old line number.

### ggit_diff_line_get_origin ()

    GgitDiffLineType
    ggit_diff_line_get_origin (GgitDiffLine *line);

Gets the GgitDiffLineType value.

#### Parameters

line | a GgitDiffLine. |

#### Returns

the GgitDiffLineType value.

### ggit_diff_line_get_type ()

    GType
    ggit_diff_line_get_type (void);

### ggit_diff_line_ref ()

    GgitDiffLine *
    ggit_diff_line_ref (GgitDiffLine *line);

Atomically increments the reference count of `line` by one. This function is MT-safe and may be called from any thread.

#### Parameters

line | a GgitDiffLine. |

#### Returns

a GgitDiffLine.

### ggit_diff_line_unref ()

    void
    ggit_diff_line_unref (GgitDiffLine *line);

Atomically decrements the reference count of `line` by one. If the reference count drops to 0, `line` is freed.

#### Parameters

line | a GgitDiffLine. |

## Types and Values

### GgitDiffLine

    typedef struct _GgitDiffLine GgitDiffLine;

Represents the line of a diff.